## idea 1.0-770

=== Makefile ===
# Makefile.in generated by automake 1.7.9 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = .

pkgdatadir = $(datadir)/idea
pkglibdir = $(libdir)/idea
pkgincludedir = $(includedir)/idea
top_builddir = .

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = arm-unknown-linux-gnu
ACLOCAL = ${SHELL} /home/b0unc3/home_plugin/idea/idea/idea-1.0_n800/missing --run aclocal-1.7
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/b0unc3/home_plugin/idea/idea/idea-1.0_n800/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/b0unc3/home_plugin/idea/idea/idea-1.0_n800/missing --run autoconf
AUTOHEADER = ${SHELL} /home/b0unc3/home_plugin/idea/idea/idea-1.0_n800/missing --run autoheader
AUTOMAKE = ${SHELL} /home/b0unc3/home_plugin/idea/idea/idea-1.0_n800/missing --run automake-1.7
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -Wall
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"idea\" -DVERSION=\"0.0.1\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = 
FFLAGS = 
GTK_CFLAGS = -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GTK_LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
HFM_CFLAGS = -I/usr/include/hildon-fm -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
HFM_LIBS = -lhildonfm -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/b0unc3/home_plugin/idea/idea/idea-1.0_n800/missing --run makeinfo
OBJEXT = o
OSSO_CFLAGS = -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
OSSO_LIBS = -losso -ldbus-glib-1 -ldbus-1 -lglib-2.0  
PACKAGE = idea
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 0.0.1
XML_CFLAGS = -I/usr/include/libxml2  
XML_LIBS = -lxml2 -lpthread -lz -lm  
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnu
build_alias = 
build_cpu = arm
build_os = linux-gnu
build_vendor = unknown
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = arm-unknown-linux-gnu
host_alias = 
host_cpu = arm
host_os = linux-gnu
host_vendor = unknown
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/b0unc3/home_plugin/idea/idea/idea-1.0_n800/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
libhh_LTLIBRARIES = libidea.la
libhhdir = $(libdir)/hildon-home
dathhdir = $(datadir)/applications/hildon-home
dathh_DATA = idea-home.desktop

libidea_la_SOURCES = idea-home.c libidea.c idea_cp.c xml_parser.c xml_writer.c idea-func.c
libidea_la_CFLAGS = $(GTK_CFLAGS) $(OSSO_CFLAGS) $(XML_CFLAGS) $(HFM_CFLAGS)
libidea_la_LDFLAGS = -module -avoid-version
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(libhh_LTLIBRARIES)

libidea_la_LIBADD =
am_libidea_la_OBJECTS = libidea_la-idea-home.lo libidea_la-libidea.lo \
	libidea_la-idea_cp.lo libidea_la-xml_parser.lo \
	libidea_la-xml_writer.lo libidea_la-idea-func.lo
libidea_la_OBJECTS = $(am_libidea_la_OBJECTS)

DEFAULT_INCLUDES =  -I. -I$(srcdir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/libidea_la-idea-func.Plo \
	./$(DEPDIR)/libidea_la-idea-home.Plo \
	./$(DEPDIR)/libidea_la-idea_cp.Plo \
	./$(DEPDIR)/libidea_la-libidea.Plo \
	./$(DEPDIR)/libidea_la-xml_parser.Plo \
	./$(DEPDIR)/libidea_la-xml_writer.Plo
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
	$(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(libidea_la_SOURCES)
DATA = $(dathh_DATA)

DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/configure Makefile.am \
	aclocal.m4 compile config.guess config.sub configure \
	configure.ac depcomp install-sh ltmain.sh missing mkinstalldirs
SOURCES = $(libidea_la_SOURCES)

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj

am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.ac $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)

$(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck
$(srcdir)/configure:  $(srcdir)/configure.ac $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
	cd $(srcdir) && $(AUTOCONF)

$(ACLOCAL_M4):  configure.ac 
	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
libhhLTLIBRARIES_INSTALL = $(INSTALL)
install-libhhLTLIBRARIES: $(libhh_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(libhhdir)
	@list='$(libhh_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f="`echo $$p | sed -e 's|^.*/||'`"; \
	    echo " $(LIBTOOL) --mode=install $(libhhLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libhhdir)/$$f"; \
	    $(LIBTOOL) --mode=install $(libhhLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libhhdir)/$$f; \
	  else :; fi; \
	done

uninstall-libhhLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(libhh_LTLIBRARIES)'; for p in $$list; do \
	    p="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(libhhdir)/$$p"; \
	  $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(libhhdir)/$$p; \
	done

clean-libhhLTLIBRARIES:
	-test -z "$(libhh_LTLIBRARIES)" || rm -f $(libhh_LTLIBRARIES)
	@list='$(libhh_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" = "$$p" && dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libidea.la: $(libidea_la_OBJECTS) $(libidea_la_DEPENDENCIES) 
	$(LINK) -rpath $(libhhdir) $(libidea_la_LDFLAGS) $(libidea_la_OBJECTS) $(libidea_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/libidea_la-idea-func.Plo
include ./$(DEPDIR)/libidea_la-idea-home.Plo
include ./$(DEPDIR)/libidea_la-idea_cp.Plo
include ./$(DEPDIR)/libidea_la-libidea.Plo
include ./$(DEPDIR)/libidea_la-xml_parser.Plo
include ./$(DEPDIR)/libidea_la-xml_writer.Plo

.c.o:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `test -f '$<' || echo '$(srcdir)/'`$<

.c.obj:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`

.c.lo:
	if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=yes \
#	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(LTCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

libidea_la-idea-home.o: idea-home.c
	if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libidea_la_CFLAGS) $(CFLAGS) -MT libidea_la-idea-home.o -MD -MP -MF "$(DEPDIR)/libidea_la-idea-home.Tpo" \
	  -c -o libidea_la-idea-home.o `test -f 'idea-home.c' || echo '$(srcdir)/'`idea-home.c; \
	then mv -f "$(DEPDIR)/libidea_la-idea-home.Tpo" "$(DEPDIR)/libidea_la-idea-home.Po"; \
	else rm -f "$(DEPDIR)/libidea_la-idea-home.Tpo"; exit 1; \
	fi
#	source='idea-home.c' object='libidea_la-idea-home.o' libtool=no \
#	depfile='$(DEPDIR)/libidea_la-idea-home.Po' tmpdepfile='$(DEPDIR)/libidea_la-idea-home.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libidea_la_CFLAGS) $(CFLAGS) -c -o libidea_la-idea-home.o `test -f 'idea-home.c' || echo '$(srcdir)/'`idea-home.c

libidea_la-idea-home.obj: idea-home.c
	if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libidea_la_CFLAGS) $(CFLAGS) -MT libidea_la-idea-home.obj -MD -MP -MF "$(DEPDIR)/libidea_la-idea-home.Tpo" \
	  -c -o libidea_la-idea-home.obj `if test -f 'idea-home.c'; then $(CYGPATH_W) 'idea-home.c'; else $(CYGPATH_W) '$(srcdir)/idea-home.c'; fi`; \
	then mv -f "$(DEPDIR)/libidea_la-idea-home.Tpo" "$(DEPDIR)/libidea_la-idea-home.Po"; \
	else rm -f "$(DEPDIR)/libidea_la-idea-home.Tpo"; exit 1; \
	fi
#	source='idea-home.c' object='libidea_la-idea-home.obj' libtool=no \
#	depfile='$(DEPDIR)/libidea_la-idea-home.Po' tmpdepfile='$(DEPDIR)/libidea_la-idea-home.TPo' \
#	$(CCDEPMODE) $(depcomp) \

=== debian/changelog ===
idea (1.0-n800) stable; urgency=low

  * Seem to work fine.
  * Dividing versions (770/n800)

 -- Daniele Maio <daniele.maio@gmail.com>  Wed, 4 Apr 2007 01:12:03 +0200

idea (1.0) stable; urgency=low

  * Start work.

 -- Daniele Maio <daniele.maio@gmail.com>  Wed, 14 Feb 2007 01:26:52 +0200

=== debian/control ===
Source: idea
Section: user/tools
Priority: optional
Maintainer: Daniele Maio <daniele.maio@gmail.com>
Uploaders: Daniele Maio <daniele.maio@gmail.com>
Standards-Version: 1.0-n800

Package: idea
Section: user/tools
Architecture: any
Provides: idea
Conflicts: none
Description: IDEA 
 IDEA is an home applet that act like an 'application launcher'
 It can be highly personalized through a control panel applet.

## idea 1.0-n800

=== Makefile ===
--- 
+++ 
@@ -143,7 +143,7 @@
 dathhdir = $(datadir)/applications/hildon-home
 dathh_DATA = idea-home.desktop
 
-libidea_la_SOURCES = idea-home.c libidea.c idea_cp.c xml_parser.c xml_writer.c idea-func.c
+libidea_la_SOURCES = idea-home.c idea-func.c xml_parser.c xml_writer.c libidea.c idea_cp.c
 libidea_la_CFLAGS = $(GTK_CFLAGS) $(OSSO_CFLAGS) $(XML_CFLAGS) $(HFM_CFLAGS)
 libidea_la_LDFLAGS = -module -avoid-version
 subdir = .
@@ -153,9 +153,9 @@
 LTLIBRARIES = $(libhh_LTLIBRARIES)
 
 libidea_la_LIBADD =
-am_libidea_la_OBJECTS = libidea_la-idea-home.lo libidea_la-libidea.lo \
-	libidea_la-idea_cp.lo libidea_la-xml_parser.lo \
-	libidea_la-xml_writer.lo libidea_la-idea-func.lo
+am_libidea_la_OBJECTS = libidea_la-idea-home.lo libidea_la-idea-func.lo \
+	libidea_la-xml_parser.lo libidea_la-xml_writer.lo \
+	libidea_la-libidea.lo libidea_la-idea_cp.lo
 libidea_la_OBJECTS = $(am_libidea_la_OBJECTS)
 
 DEFAULT_INCLUDES =  -I. -I$(srcdir)

=== debian/rules ===
#!/usr/bin/make -f

BIN_SRC = "usr/lib/hildon-status-bar/" #"usr/bin/autobuildmenu"
SRC_SRC = "src/" #"src/autobuildmenu"
LIB = "src/libsystem_monitor.so"
#G_SRC = "src/gautobuildmenu"
#G_DIR = "usr/bin/gautobuildmenu"
PIXMAPS = "usr/share/icons/hicolor/scalable/hildon/" #"usr/share/pixmaps/autobuildmenu.png"
DESK = "usr/share/applications/hildon-status-bar/"
#RES = "autobuildmenu"
BIN_DIR = "/usr/lib/hildon-status-bar/"
PIX_DIR = "/usr/share/icons/hicolor/scalable/hildon/"

build:
	dh_testdir
#	cd $(SRC_SRC) && make
#	cp $(LIB) $(BIN_SRC)
#	cp $(G_SRC) $(G_DIR)
#	cp $(PIXMAPS) $(PIX_DIR)
	# && test -f $(ETC_PKG) && test -f $(ETC_LANG) && test -f $(LANG_ITA) && test -f $(LANG_ENG) ;
#	then
#		echo "build ok"
#	else
#		echo "build error!"
#	fi

clean:
	dh_testdir
	dh_testroot
#	cd $(SRC_SRC) && make clean
#	rm -rf $(LANG_DIR)
#	rm -rf $(ETC_DIR)

install: build
	dh_testdir
	dh_testroot
	dh_clean -k

#	install -dv `pwd`/debian/autobuildmenu/etc/autobuildmenu/lang
#	install -dv `pwd`/debian/autobuildmenu/usr/bin
#	install -v `pwd`/$(BIN_SRC) `pwd`/debian/autobuildmenu/usr/bin/$(RES)
#	install -v `pwd`/etc/* `pwd`/debian/autobuildmenu/etc/autobuildmenu/
#	install -v `pwd`/lang/* `pwd`/debian/autobuildmenu/etc/autobuildmenu/lang/

#	mkdir $(ETC_DIR)
#	mkdir $(LANG_DIR)
#	cp -f $(BIN_SRC) $(BIN_DIR)/$(RES)
#	cp -f $(ETC_PKG) $(ETC_DIR)
##	cp -f $(ETC_LANG) $(ETC_DIR)
#	cp -f $(LANG_ITA) $(LANG_DIR)
#	cp -f $(LANG_ENG) $(LANG_DIR)
#

binary-indep: build install

binary-arch: build install

	dh_testdir
	dh_testroot

	dh_gconf

	dh_install usr/
	dh_install home/
#	dh_install $(PIXMAPS)
#	dh_install $(DESK)
	dh_install
	
#	dh_install --sourcedir=debian/autobuildmenu
#	dh_install debian/autobuildmenu/usr/bin/$(RES)
#	dh_installdocs

	dh_link
	dh_strip
	dh_fixperms
	dh_installdeb

	dh_makeshlibs
	dh_shlibdeps -V
	dh_gencontrol

	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
